<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.fragment.internal.exportimport.data.handler.FragmentEntryLinkStagedModelDataHandler" immediate="true">
  <service>
    <provide interface="com.liferay.exportimport.kernel.lar.StagedModelDataHandler"/>
  </service>
  <reference name="_dlReferencesExportImportContentProcessor" interface="com.liferay.exportimport.content.processor.ExportImportContentProcessor" target="(content.processor.type=DLReferences)" field="_dlReferencesExportImportContentProcessor"/>
  <reference name="_fragmentEntryLinkExportImportContentProcessor" policy="dynamic" interface="com.liferay.exportimport.content.processor.ExportImportContentProcessor" target="(model.class.name=com.liferay.fragment.model.FragmentEntryLink)" policy-option="greedy" field="_fragmentEntryLinkExportImportContentProcessor"/>
  <reference name="_fragmentEntryLinkLocalService" interface="com.liferay.fragment.service.FragmentEntryLinkLocalService" field="_fragmentEntryLinkLocalService"/>
  <reference name="_fragmentEntryLocalService" interface="com.liferay.fragment.service.FragmentEntryLocalService" field="_fragmentEntryLocalService"/>
  <reference name="_layoutLocalService" interface="com.liferay.portal.kernel.service.LayoutLocalService" field="_layoutLocalService"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_stagedModelRepository" interface="com.liferay.exportimport.staged.model.repository.StagedModelRepository" target="(model.class.name=com.liferay.fragment.model.FragmentEntryLink)" field="_stagedModelRepository"/>
  <implementation class="com.liferay.fragment.internal.exportimport.data.handler.FragmentEntryLinkStagedModelDataHandler"/>
</scr:component>
